
Application: gvSIG desktop - gvSIG bugs #4412
Falla la compilacion de org.gvsig.raster
10/23/2016 07:43 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.3.3-2704 (rev. org.gvsig.desktop-2.0.162)
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2703 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile (default-compile) on project
org.gvsig.raster.lib.api: Compilation failure: Compilation failure:
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/fmap/dal/coverage/store/RasterDataStore.java:[69,7] error: cannot access Services
[ERROR] class file for org.gvsig.tools.service.spi.Services not found
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org
rage/store/RasterDataStore.java:[69,7] error: cannot access Services
[ERROR] class file for org.gvsig.tools.service.spi.Services not found
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[136,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[144,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/Abstrac
tractROI.java:[136,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[144,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[148,19] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[152,19] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/Abstrac
tractROI.java:[144,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[148,19] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[152,19] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[227,84] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[233,85] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/Abstrac
tractROI.java:[148,19] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[152,19] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[227,84] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[233,85] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[239,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[326,14] error: cannot find symbol
[ERROR] -> [Help 1]

tractROI.java:[152,19] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[227,84] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[233,85] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[239,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[326,14] error: cannot find symbol
[ERROR] -> [Help 1]

tractROI.java:[227,84] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[233,85] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[239,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[326,14] error: cannot find symbol
[ERROR] -> [Help 1]

tractROI.java:[233,85] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[239,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR] /mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[326,14] error: cannot find symbol
[ERROR] -> [Help 1]

tractROI.java:[239,14] error: cannot find symbol
[ERROR] variable store of type RasterDataStore
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.api/src/main/java/org/gvsig/raster/roi/AbstractROI.java:[326,14] error: cannot find symbol
[ERROR] -> [Help 1]

tractROI.java:[326,14] error: cannot find symbol
[ERROR] -> [Help 1]

Associated revisions
Revision 43045 - 10/23/2016 08:28 PM - Joaquín  del Cerro Murciano

refs #4412, recuperado el metodo createStore por compativilidad.

History
#1 - 10/23/2016 07:45 PM - Joaquín  del Cerro Murciano

Un mvn dependency:tree saca:

[INFO] ------------------------------------------------------------------------
[INFO] Building org.gvsig.raster.lib.api 2.2.53-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ org.gvsig.raster.lib.api ---
[INFO] org.gvsig:org.gvsig.raster.lib.api:jar:2.2.53-SNAPSHOT
[INFO] +- org.gvsig:org.gvsig.raster.cache.lib.api:jar:2.2.9:compile
[INFO] +- org.gvsig:org.gvsig.projection.api:jar:2.0.22:compile
[INFO] |  \- org.gvsig:org.gvsig.tools.lib:jar:3.0.91:compile
[INFO] +- org.gvsig:org.gvsig.projection.cresques.impl:jar:2.0.160:runtime
[INFO] |  +- org.geotools:gt2-legacy:jar:2.2-RC2:runtime
[INFO] |  |  +- org.opengis:geoapi-legacy:jar:0.2:runtime
[INFO] |  |  +- org.geotools:gt2-coverage:jar:2.2-RC2:runtime
[INFO] |  |  +- org.geotools:gt2-render:jar:2.2-RC2:runtime
[INFO] |  |  |  \- batik:batik-transcoder:jar:1.5:runtime
[INFO] |  |  +- org.opengis:geoapi:jar:2.0:runtime
[INFO] |  |  \- javax.units:jsr108:jar:0.01:runtime
[INFO] |  +- org.geotools:gt2-main:jar:2.2.2:runtime
[INFO] |  |  +- edu.oswego:concurrent:jar:1.3.4:runtime
[INFO] |  |  +- org.geotools:gt2-api:jar:2.2.2:runtime
[INFO] |  |  \- jdom:jdom:jar:1.0:runtime
[INFO] |  +- org.geotools:gt2-referencing:jar:2.2-RC2:runtime
[INFO] |  |  +- com.vividsolutions:jts:jar:1.13:runtime (version managed from 1.7)
[INFO] |  |  \- java3d:vecmath:jar:1.3.1:runtime
[INFO] |  +- geojava:geojava:jar:unknown:runtime
[INFO] |  +- javax.media:jai_core:jar:1.1.3:runtime
[INFO] |  \- javax.media:jai_codec:jar:1.1.3:runtime
[INFO] +- org.gvsig:org.gvsig.metadata.lib.basic.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.compat.api:jar:2.0.160:compile
[INFO] |  \- org.slf4j:slf4j-log4j12:jar:1.5.5:runtime
[INFO] |     \- log4j:log4j:jar:1.2.14:runtime
[INFO] +- org.gvsig:org.gvsig.compat.se:jar:2.0.160:compile
[INFO] |  \- commons-io:commons-io:jar:2.4:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.i18n:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.fmap.geometry.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.timesupport.lib.api:jar:2.0.160:compile
[INFO] |  \- org.slf4j:slf4j-api:jar:1.5.5:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.impl:jar:2.0.160:compile
[INFO] |  +- org.apache.commons:commons-lang3:jar:3.1:compile
[INFO] |  +- net.sf:jsi:jar:unknown:compile
[INFO] |  +- gnu.trove:trove:jar:0.1.8:runtime
[INFO] |  \- easymock:easymockclassextension:jar:1.2:compile
[INFO] |     +- easymock:easymock:jar:1.2_Java1.3:test (scope managed from compile)
[INFO] |     \- cglib:cglib-nodep:jar:2.1:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.file.lib:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.spi:jar:2.0.160:compile
[INFO] |  \- com.google.code.gson:gson:jar:2.3.1:compile
[INFO] +- org.gvsig:org.gvsig.remoteclient:jar:2.0.160:compile
[INFO] |  +- net.sf.kxml:kxml2:jar:2.2.2:compile
[INFO] |  \- xmlpull:xmlpull:jar:1.1.3.1:compile
[INFO] \- junit:junit:jar:3.8.1:test
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS

Al parecer esta usando la version de org.gvsig.tools 3.0.91 cuando deberia ser la 3.0.93.

#2 - 10/23/2016 08:20 PM - Joaquín  del Cerro Murciano

Al parecer habia que actualizar en org.gvsig.raster.cache la version de org.gvsig.desktop.

#3 - 10/23/2016 08:21 PM - Joaquín  del Cerro Murciano

Ademas parece que habia perdido el metodo createStore del DataManager, que estaba deprecated y aun se usaba.

Voy a recuperar el metodo (como deprecated) para mantener compatibilidad y voy a dejar de usarlo en en org.gvsig.raster.lib.impl

#4 - 10/23/2016 08:29 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#5 - 06/11/2017 09:45 PM - Álvaro Anguix
- Status changed from Fixed to Closed
